/**********************************************************************************************************************
 * DISCLAIMER
 * This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products. No
 * other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
 * applicable laws, including copyright laws.
 * THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
 * THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED. TO THE MAXIMUM
 * EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES
 * SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO
 * THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 * Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability of
 * this software. By using this software, you agree to the additional terms and conditions found by accessing the
 * following link:
 * http://www.renesas.com/disclaimer
 *
 * Copyright (C) 2022 Renesas Electronics Corporation. All rights reserved.
 *********************************************************************************************************************/
/************************************************************************
*
* Device     : RX/RX200/RX26T
*
* File Name  : vect.h
*
* Abstract   : Definition of Vector.
*
* History    : V0.00  (2020-09-02)  [Hardware Manual Revision : 0.40]
*
* NOTE       : THIS IS A TYPICAL EXAMPLE.
*
* Copyright (C) 2022 Renesas Electronics Corporation.
*
************************************************************************/

// Exception(Supervisor Instruction)
#pragma interrupt (Excep_SuperVisorInst)
void Excep_SuperVisorInst(void);

// Exception(Access Instruction)
#pragma interrupt (Excep_AccessInst)
void Excep_AccessInst(void);

// Exception(Undefined Instruction)
#pragma interrupt (Excep_UndefinedInst)
void Excep_UndefinedInst(void);

// Exception(Address Instruction)
#pragma interrupt (Excep_AddressInst)
void Excep_AddressInst(void);

// Exception(Floating Point)
#pragma interrupt (Excep_FloatingPoint)
void Excep_FloatingPoint(void);

// NMI
#pragma interrupt (NonMaskableInterrupt)
void NonMaskableInterrupt(void);

// Dummy
#pragma interrupt (Dummy)
void Dummy(void);

// BRK
#pragma interrupt (Excep_BRK(vect=0))
void Excep_BRK(void);


#pragma interrupt (Excep_BSC_BUSERR(vect=16))
void Excep_BSC_BUSERR(void);

#pragma interrupt (Excep_ICU_GROUPIE0(vect=17))
void Excep_ICU_GROUPIE0(void);

#pragma interrupt (Excep_RAM_RAMERR(vect=18))
void Excep_RAM_RAMERR(void);

#pragma interrupt (Excep_FCU_FIFERR(vect=21))
void Excep_FCU_FIFERR(void);

#pragma interrupt (Excep_FCU_FRDYI(vect=23))
void Excep_FCU_FRDYI(void);

#pragma interrupt (Excep_ICU_SWINT2(vect=26))
void Excep_ICU_SWINT2(void);

#pragma interrupt (Excep_ICU_SWINT(vect=27))
void Excep_ICU_SWINT(void);

#pragma interrupt (Excep_CMT0_CMI0(vect=28))
void Excep_CMT0_CMI0(void);

#pragma interrupt (Excep_CMT1_CMI1(vect=29))
void Excep_CMT1_CMI1(void);

#pragma interrupt (Excep_CMT2_CMI2(vect=30))
void Excep_CMT2_CMI2(void);

#pragma interrupt (Excep_CMT3_CMI3(vect=31))
void Excep_CMT3_CMI3(void);

#pragma interrupt (Excep_RSPI0_SPRI0(vect=38))
void Excep_RSPI0_SPRI0(void);

#pragma interrupt (Excep_RSPI0_SPTI0(vect=39))
void Excep_RSPI0_SPTI0(void);

#pragma interrupt (Excep_RI3C0_RESPI(vect=40))
void Excep_RI3C0_RESPI(void);

#pragma interrupt (Excep_RI3C0_CMDI(vect=41))
void Excep_RI3C0_CMDI(void);

#pragma interrupt (Excep_RI3C0_IBII(vect=42))
void Excep_RI3C0_IBII(void);

#pragma interrupt (Excep_RI3C0_RCVI(vect=43))
void Excep_RI3C0_RCVI(void);

#pragma interrupt (Excep_RSPIA0_SPRI(vect=48))
void Excep_RSPIA0_SPRI(void);

#pragma interrupt (Excep_RSPIA0_SPTI(vect=49))
void Excep_RSPIA0_SPTI(void);

#pragma interrupt (Excep_RIIC0_RXI0(vect=52))
void Excep_RIIC0_RXI0(void);

#pragma interrupt (Excep_RIIC0_TXI0(vect=53))
void Excep_RIIC0_TXI0(void);

#pragma interrupt (Excep_SCI1_RXI1(vect=60))
void Excep_SCI1_RXI1(void);

#pragma interrupt (Excep_SCI1_TXI1(vect=61))
void Excep_SCI1_TXI1(void);

#pragma interrupt (Excep_ICU_IRQ0(vect=64))
void Excep_ICU_IRQ0(void);

#pragma interrupt (Excep_ICU_IRQ1(vect=65))
void Excep_ICU_IRQ1(void);

#pragma interrupt (Excep_ICU_IRQ2(vect=66))
void Excep_ICU_IRQ2(void);

#pragma interrupt (Excep_ICU_IRQ3(vect=67))
void Excep_ICU_IRQ3(void);

#pragma interrupt (Excep_ICU_IRQ4(vect=68))
void Excep_ICU_IRQ4(void);

#pragma interrupt (Excep_ICU_IRQ5(vect=69))
void Excep_ICU_IRQ5(void);

#pragma interrupt (Excep_ICU_IRQ6(vect=70))
void Excep_ICU_IRQ6(void);

#pragma interrupt (Excep_ICU_IRQ7(vect=71))
void Excep_ICU_IRQ7(void);

#pragma interrupt (Excep_ICU_IRQ8(vect=72))
void Excep_ICU_IRQ8(void);

#pragma interrupt (Excep_ICU_IRQ9(vect=73))
void Excep_ICU_IRQ9(void);

#pragma interrupt (Excep_ICU_IRQ10(vect=74))
void Excep_ICU_IRQ10(void);

#pragma interrupt (Excep_ICU_IRQ11(vect=75))
void Excep_ICU_IRQ11(void);

#pragma interrupt (Excep_ICU_IRQ12(vect=76))
void Excep_ICU_IRQ12(void);

#pragma interrupt (Excep_ICU_IRQ13(vect=77))
void Excep_ICU_IRQ13(void);

#pragma interrupt (Excep_ICU_IRQ14(vect=78))
void Excep_ICU_IRQ14(void);

#pragma interrupt (Excep_ICU_IRQ15(vect=79))
void Excep_ICU_IRQ15(void);

#pragma interrupt (Excep_SCI5_RXI5(vect=84))
void Excep_SCI5_RXI5(void);

#pragma interrupt (Excep_SCI5_TXI5(vect=85))
void Excep_SCI5_TXI5(void);

#pragma interrupt (Excep_SCI6_RXI6(vect=86))
void Excep_SCI6_RXI6(void);

#pragma interrupt (Excep_SCI6_TXI6(vect=87))
void Excep_SCI6_TXI6(void);

#pragma interrupt (Excep_LVD1_LVD1(vect=88))
void Excep_LVD1_LVD1(void);

#pragma interrupt (Excep_LVD2_LVD2(vect=89))
void Excep_LVD2_LVD2(void);

#pragma interrupt (Excep_IWDT_IWUNI(vect=95))
void Excep_IWDT_IWUNI(void);

#pragma interrupt (Excep_WDT_WUNI(vect=96))
void Excep_WDT_WUNI(void);

#pragma interrupt (Excep_RSCI8_RXI(vect=100))
void Excep_RSCI8_RXI(void);

#pragma interrupt (Excep_RSCI8_TXI(vect=101))
void Excep_RSCI8_TXI(void);

#pragma interrupt (Excep_RSCI9_RXI(vect=102))
void Excep_RSCI9_RXI(void);

#pragma interrupt (Excep_RSCI9_TXI(vect=103))
void Excep_RSCI9_TXI(void);

#pragma interrupt (Excep_ICU_GROUPBE0(vect=106))
void Excep_ICU_GROUPBE0(void);

#pragma interrupt (Excep_ICU_GROUPBL2(vect=107))
void Excep_ICU_GROUPBL2(void);

#pragma interrupt (Excep_ICU_GROUPBL0(vect=110))
void Excep_ICU_GROUPBL0(void);

#pragma interrupt (Excep_ICU_GROUPBL1(vect=111))
void Excep_ICU_GROUPBL1(void);

#pragma interrupt (Excep_ICU_GROUPAL0(vect=112))
void Excep_ICU_GROUPAL0(void);

#pragma interrupt (Excep_ICU_GROUPAL1(vect=113))
void Excep_ICU_GROUPAL1(void);

#pragma interrupt (Excep_RSCI11_RXI(vect=114))
void Excep_RSCI11_RXI(void);

#pragma interrupt (Excep_RSCI11_TXI(vect=115))
void Excep_RSCI11_TXI(void);

#pragma interrupt (Excep_SCI12_RXI12(vect=116))
void Excep_SCI12_RXI12(void);

#pragma interrupt (Excep_SCI12_TXI12(vect=117))
void Excep_SCI12_TXI12(void);

#pragma interrupt (Excep_RI3C0_RXI(vect=118))
void Excep_RI3C0_RXI(void);

#pragma interrupt (Excep_RI3C0_TXI(vect=119))
void Excep_RI3C0_TXI(void);

#pragma interrupt (Excep_DMAC_DMAC0I(vect=120))
void Excep_DMAC_DMAC0I(void);

#pragma interrupt (Excep_DMAC_DMAC1I(vect=121))
void Excep_DMAC_DMAC1I(void);

#pragma interrupt (Excep_DMAC_DMAC2I(vect=122))
void Excep_DMAC_DMAC2I(void);

#pragma interrupt (Excep_DMAC_DMAC3I(vect=123))
void Excep_DMAC_DMAC3I(void);

#pragma interrupt (Excep_DMAC_DMAC74I(vect=124))
void Excep_DMAC_DMAC74I(void);

#pragma interrupt (Excep_OST_OSTDI(vect=125))
void Excep_OST_OSTDI(void);

#pragma interrupt (Excep_S12AD_S12ADI(vect=128))
void Excep_S12AD_S12ADI(void);

#pragma interrupt (Excep_S12AD_S12GBADI(vect=129))
void Excep_S12AD_S12GBADI(void);

#pragma interrupt (Excep_S12AD_S12GCADI(vect=130))
void Excep_S12AD_S12GCADI(void);

#pragma interrupt (Excep_S12AD1_S12ADI1(vect=132))
void Excep_S12AD1_S12ADI1(void);

#pragma interrupt (Excep_S12AD1_S12GBADI1(vect=133))
void Excep_S12AD1_S12GBADI1(void);

#pragma interrupt (Excep_S12AD1_S12GCADI1(vect=134))
void Excep_S12AD1_S12GCADI1(void);

#pragma interrupt (Excep_S12AD2_S12ADI2(vect=136))
void Excep_S12AD2_S12ADI2(void);

#pragma interrupt (Excep_S12AD2_S12GBADI2(vect=137))
void Excep_S12AD2_S12GBADI2(void);

#pragma interrupt (Excep_S12AD2_S12GCADI2(vect=138))
void Excep_S12AD2_S12GCADI2(void);

#pragma interrupt (Excep_CANFD_RFDREQ0(vect=140))
void Excep_CANFD_RFDREQ0(void);

#pragma interrupt (Excep_CANFD_RFDREQ1(vect=141))
void Excep_CANFD_RFDREQ1(void);

#pragma interrupt (Excep_CANFD0_CFDREQ0(vect=142))
void Excep_CANFD0_CFDREQ0(void);

#pragma interrupt (Excep_TMR0_CMIA0(vect=146))
void Excep_TMR0_CMIA0(void);

#pragma interrupt (Excep_TMR0_CMIB0(vect=147))
void Excep_TMR0_CMIB0(void);

#pragma interrupt (Excep_TMR0_OVI0(vect=148))
void Excep_TMR0_OVI0(void);

#pragma interrupt (Excep_TMR1_CMIA1(vect=149))
void Excep_TMR1_CMIA1(void);

#pragma interrupt (Excep_TMR1_CMIB1(vect=150))
void Excep_TMR1_CMIB1(void);

#pragma interrupt (Excep_TMR1_OVI1(vect=151))
void Excep_TMR1_OVI1(void);

#pragma interrupt (Excep_TMR2_CMIA2(vect=152))
void Excep_TMR2_CMIA2(void);

#pragma interrupt (Excep_TMR2_CMIB2(vect=153))
void Excep_TMR2_CMIB2(void);

#pragma interrupt (Excep_TMR2_OVI2(vect=154))
void Excep_TMR2_OVI2(void);

#pragma interrupt (Excep_TMR3_CMIA3(vect=155))
void Excep_TMR3_CMIA3(void);

#pragma interrupt (Excep_TMR3_CMIB3(vect=156))
void Excep_TMR3_CMIB3(void);

#pragma interrupt (Excep_TMR3_OVI3(vect=157))
void Excep_TMR3_OVI3(void);

#pragma interrupt (Excep_TMR4_CMIA4(vect=158))
void Excep_TMR4_CMIA4(void);

#pragma interrupt (Excep_TMR4_CMIB4(vect=159))
void Excep_TMR4_CMIB4(void);

#pragma interrupt (Excep_TMR4_OVI4(vect=160))
void Excep_TMR4_OVI4(void);

#pragma interrupt (Excep_TMR5_CMIA5(vect=161))
void Excep_TMR5_CMIA5(void);

#pragma interrupt (Excep_TMR5_CMIB5(vect=162))
void Excep_TMR5_CMIB5(void);

#pragma interrupt (Excep_TMR5_OVI5(vect=163))
void Excep_TMR5_OVI5(void);

#pragma interrupt (Excep_TMR6_CMIA6(vect=164))
void Excep_TMR6_CMIA6(void);

#pragma interrupt (Excep_TMR6_CMIB6(vect=165))
void Excep_TMR6_CMIB6(void);

#pragma interrupt (Excep_TMR6_OVI6(vect=166))
void Excep_TMR6_OVI6(void);

#pragma interrupt (Excep_TMR7_CMIA7(vect=167))
void Excep_TMR7_CMIA7(void);

#pragma interrupt (Excep_TMR7_CMIB7(vect=168))
void Excep_TMR7_CMIB7(void);

#pragma interrupt (Excep_TMR7_OVI7(vect=169))
void Excep_TMR7_OVI7(void);

#pragma interrupt (Excep_ELC_ELSR18I(vect=175))
void Excep_ELC_ELSR18I(void);

#pragma interrupt (Excep_ELC_ELSR19I(vect=176))
void Excep_ELC_ELSR19I(void);

#pragma interrupt (Excep_TSIP_RD(vect=177))
void Excep_TSIP_RD(void);

#pragma interrupt (Excep_TSIP_WR(vect=178))
void Excep_TSIP_WR(void);

#pragma interrupt (Excep_TSIP_ERR(vect=179))
void Excep_TSIP_ERR(void);

#pragma interrupt (Excep_CMPC0_CMPC0(vect=180))
void Excep_CMPC0_CMPC0(void);

#pragma interrupt (Excep_CMPC1_CMPC1(vect=181))
void Excep_CMPC1_CMPC1(void);

#pragma interrupt (Excep_CMPC2_CMPC2(vect=182))
void Excep_CMPC2_CMPC2(void);

#pragma interrupt (Excep_CMPC3_CMPC3(vect=183))
void Excep_CMPC3_CMPC3(void);

#pragma interrupt (Excep_CMPC4_CMPC4(vect=184))
void Excep_CMPC4_CMPC4(void);

#pragma interrupt (Excep_CMPC5_CMPC5(vect=185))
void Excep_CMPC5_CMPC5(void);

#pragma interrupt (Excep_CMTW0_CMWI0(vect=186))
void Excep_CMTW0_CMWI0(void);

#pragma interrupt (Excep_CMTW0_IC0I0(vect=187))
void Excep_CMTW0_IC0I0(void);

#pragma interrupt (Excep_CMTW0_IC1I0(vect=188))
void Excep_CMTW0_IC1I0(void);

#pragma interrupt (Excep_CMTW0_OC0I0(vect=189))
void Excep_CMTW0_OC0I0(void);

#pragma interrupt (Excep_CMTW0_OC1I0(vect=190))
void Excep_CMTW0_OC1I0(void);

#pragma interrupt (Excep_CMTW1_CMWI1(vect=191))
void Excep_CMTW1_CMWI1(void);

#pragma interrupt (Excep_CMTW1_IC0I1(vect=192))
void Excep_CMTW1_IC0I1(void);

#pragma interrupt (Excep_CMTW1_IC1I1(vect=193))
void Excep_CMTW1_IC1I1(void);

#pragma interrupt (Excep_CMTW1_OC0I1(vect=194))
void Excep_CMTW1_OC0I1(void);

#pragma interrupt (Excep_CMTW1_OC1I1(vect=195))
void Excep_CMTW1_OC1I1(void);

#pragma interrupt (Excep_RSCI9_AED(vect=197))
void Excep_RSCI9_AED(void);

#pragma interrupt (Excep_PERIA_INTA208(vect=208))
void Excep_PERIA_INTA208(void);

#pragma interrupt (Excep_PERIA_INTA209(vect=209))
void Excep_PERIA_INTA209(void);

#pragma interrupt (Excep_PERIA_INTA210(vect=210))
void Excep_PERIA_INTA210(void);

#pragma interrupt (Excep_PERIA_INTA211(vect=211))
void Excep_PERIA_INTA211(void);

#pragma interrupt (Excep_PERIA_INTA212(vect=212))
void Excep_PERIA_INTA212(void);

#pragma interrupt (Excep_PERIA_INTA213(vect=213))
void Excep_PERIA_INTA213(void);

#pragma interrupt (Excep_PERIA_INTA214(vect=214))
void Excep_PERIA_INTA214(void);

#pragma interrupt (Excep_PERIA_INTA215(vect=215))
void Excep_PERIA_INTA215(void);

#pragma interrupt (Excep_PERIA_INTA216(vect=216))
void Excep_PERIA_INTA216(void);

#pragma interrupt (Excep_PERIA_INTA217(vect=217))
void Excep_PERIA_INTA217(void);

#pragma interrupt (Excep_PERIA_INTA218(vect=218))
void Excep_PERIA_INTA218(void);

#pragma interrupt (Excep_PERIA_INTA219(vect=219))
void Excep_PERIA_INTA219(void);

#pragma interrupt (Excep_PERIA_INTA220(vect=220))
void Excep_PERIA_INTA220(void);

#pragma interrupt (Excep_PERIA_INTA221(vect=221))
void Excep_PERIA_INTA221(void);

#pragma interrupt (Excep_PERIA_INTA222(vect=222))
void Excep_PERIA_INTA222(void);

#pragma interrupt (Excep_PERIA_INTA223(vect=223))
void Excep_PERIA_INTA223(void);

#pragma interrupt (Excep_PERIA_INTA224(vect=224))
void Excep_PERIA_INTA224(void);

#pragma interrupt (Excep_PERIA_INTA225(vect=225))
void Excep_PERIA_INTA225(void);

#pragma interrupt (Excep_PERIA_INTA226(vect=226))
void Excep_PERIA_INTA226(void);

#pragma interrupt (Excep_PERIA_INTA227(vect=227))
void Excep_PERIA_INTA227(void);

#pragma interrupt (Excep_PERIA_INTA228(vect=228))
void Excep_PERIA_INTA228(void);

#pragma interrupt (Excep_PERIA_INTA229(vect=229))
void Excep_PERIA_INTA229(void);

#pragma interrupt (Excep_PERIA_INTA230(vect=230))
void Excep_PERIA_INTA230(void);

#pragma interrupt (Excep_PERIA_INTA231(vect=231))
void Excep_PERIA_INTA231(void);

#pragma interrupt (Excep_PERIA_INTA232(vect=232))
void Excep_PERIA_INTA232(void);

#pragma interrupt (Excep_PERIA_INTA233(vect=233))
void Excep_PERIA_INTA233(void);

#pragma interrupt (Excep_PERIA_INTA234(vect=234))
void Excep_PERIA_INTA234(void);

#pragma interrupt (Excep_PERIA_INTA235(vect=235))
void Excep_PERIA_INTA235(void);

#pragma interrupt (Excep_PERIA_INTA236(vect=236))
void Excep_PERIA_INTA236(void);

#pragma interrupt (Excep_PERIA_INTA237(vect=237))
void Excep_PERIA_INTA237(void);

#pragma interrupt (Excep_PERIA_INTA238(vect=238))
void Excep_PERIA_INTA238(void);

#pragma interrupt (Excep_PERIA_INTA239(vect=239))
void Excep_PERIA_INTA239(void);

#pragma interrupt (Excep_PERIA_INTA240(vect=240))
void Excep_PERIA_INTA240(void);

#pragma interrupt (Excep_PERIA_INTA241(vect=241))
void Excep_PERIA_INTA241(void);

#pragma interrupt (Excep_PERIA_INTA242(vect=242))
void Excep_PERIA_INTA242(void);

#pragma interrupt (Excep_PERIA_INTA243(vect=243))
void Excep_PERIA_INTA243(void);

#pragma interrupt (Excep_PERIA_INTA244(vect=244))
void Excep_PERIA_INTA244(void);

#pragma interrupt (Excep_PERIA_INTA245(vect=245))
void Excep_PERIA_INTA245(void);

#pragma interrupt (Excep_PERIA_INTA246(vect=246))
void Excep_PERIA_INTA246(void);

#pragma interrupt (Excep_PERIA_INTA247(vect=247))
void Excep_PERIA_INTA247(void);

#pragma interrupt (Excep_PERIA_INTA248(vect=248))
void Excep_PERIA_INTA248(void);

#pragma interrupt (Excep_PERIA_INTA249(vect=249))
void Excep_PERIA_INTA249(void);

#pragma interrupt (Excep_PERIA_INTA250(vect=250))
void Excep_PERIA_INTA250(void);

#pragma interrupt (Excep_PERIA_INTA251(vect=251))
void Excep_PERIA_INTA251(void);

#pragma interrupt (Excep_PERIA_INTA252(vect=252))
void Excep_PERIA_INTA252(void);

#pragma interrupt (Excep_PERIA_INTA253(vect=253))
void Excep_PERIA_INTA253(void);

#pragma interrupt (Excep_PERIA_INTA254(vect=254))
void Excep_PERIA_INTA254(void);

#pragma interrupt (Excep_PERIA_INTA255(vect=255))
void Excep_PERIA_INTA255(void);

//;<<VECTOR DATA START (POWER ON RESET)>>
//;Power On Reset PC
extern void PowerON_Reset_PC(void);
//;<<VECTOR DATA END (POWER ON RESET)>>
